Bug 1560527 - Restricted user get 'Cannot read property 'href' of undefined' while adding credentials
Summary: Restricted user get 'Cannot read property 'href' of undefined' while adding c...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.9.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.10.0
Assignee: Milan Zázrivec
QA Contact: Jad Haj Yahya
URL:
Whiteboard: ui:tag:ansible
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-03-26 12:03 UTC by Ruslana Babyuk
Modified: 2019-02-07 23:01 UTC (History)
7 users (show)

Fixed In Version: 5.10.0.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-07 23:01:18 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)
flash_error (54.67 KB, image/png)
2018-03-26 12:03 UTC, Ruslana Babyuk
no flags Details
add_error (12.24 KB, image/png)
2018-06-25 14:24 UTC, Ruslana Babyuk
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:0212 None None None 2019-02-07 23:01:24 UTC

Description Ruslana Babyuk 2018-03-26 12:03:48 UTC
Created attachment 1413092 [details]
flash_error

Description of problem:
Restricted user get 'Cannot read property 'href' of undefined' while adding credentials

Version-Release number of selected component (if applicable):
5.9.2

How reproducible:
100%

Steps to Reproduce:
1. Enable embedded ansible 
2. Create a restricted user(restriction with tag)
3. Add add tag to one credential
4. Navigate to credentials
5. Navigate to add new credentials page

Actual results:
'Cannot read property 'href' of undefined' shown to user

Expected result:
no errors should appear

Additional info:
no errors in logs

Comment 2 Sudhir Mallamprabhakara 2018-03-26 14:01:40 UTC
Not a regression - Confirmed by reporter

Comment 4 Milan Zázrivec 2018-03-29 15:07:37 UTC
How exactly did you set that restricted user, as you're mentioning it
in the initial comment?

Thanks.

Comment 5 Ruslana Babyuk 2018-03-29 15:13:43 UTC
Created a group with tag for restriction set in 'My Company Tag' filters on a group page

Comment 6 Milan Zázrivec 2018-04-24 15:27:14 UTC
I'm still unable to reproduce.

Could you please provide exact steps you took to set the new user?
Especially the group & tags part.

Or, perhaps, is there a running appliance showing this problem?

Thanks.

Comment 9 CFME Bot 2018-04-26 13:47:35 UTC
New commit detected on ManageIQ/manageiq-ui-classic/master:

https://github.com/ManageIQ/manageiq-ui-classic/commit/5880a301a244c31607b5d315f575da6f1244b8fd
commit 5880a301a244c31607b5d315f575da6f1244b8fd
Author:     Milan Zazrivec <mzazrivec@redhat.com>
AuthorDate: Wed Apr 25 06:02:10 2018 -0400
Commit:     Milan Zazrivec <mzazrivec@redhat.com>
CommitDate: Wed Apr 25 06:02:10 2018 -0400

    Disable credential / repository form when embedded ansible unavailable

    https://bugzilla.redhat.com/show_bug.cgi?id=1560527

 app/assets/javascripts/controllers/ansible_credentials/ansible_credentials_form_controller.js | 7 +-
 app/assets/javascripts/controllers/ansible_repository/repository_form_controller.js | 1 +
 app/views/ansible_credential/_credential_form.html.haml | 26 +-
 app/views/ansible_repository/_repository_form.html.haml | 47 +-
 4 files changed, 47 insertions(+), 34 deletions(-)

Comment 10 Ruslana Babyuk 2018-06-25 14:24:38 UTC
Created attachment 1454376 [details]
add_error

I've got Embedded Ansible service is not available. error for 5.10.0.1 build

Comment 11 Milan Zázrivec 2018-06-25 14:48:17 UTC
Why has this been flipped back to ON_DEV?

Comment 12 Milan Zázrivec 2018-06-25 15:14:02 UTC
The error shown in https://bugzilla.redhat.com/show_bug.cgi?id=1560527#c10
is actually expected here, given the user in question doesn't have access
to embedded ansible service (seeing the user is restricted).

Comment 14 errata-xmlrpc 2019-02-07 23:01:18 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:0212


Note You need to log in before you can comment on or make changes to this bug.